# ApplicationFramework
TKLCAF
TDocStd

# TDocStd Class Reference

This package define CAF main classes.
* The standard application root class
* The standard document wich contains data
* The external reference mechanism between documents
* Attributes for Document management
Standard documents offer you a ready-to-use
document containing a TDF-based data
structure. The documents themselves are
contained in a class inheriting from
TDocStd_Application which manages creation,
storage and retrieval of documents.
You can implement undo and redo in your
document, and refer from the data framework of
one document to that of another one. This is
done by means of external link attributes, which
store the path and the entry of external links. To
sum up, standard documents alone provide
access to the data framework. They also allow
you to:
- Update external links
- Manage the saving and opening of data
- Manage undo/redo functionality.
Note
For information on the relations between this
component of OCAF and the others, refer to the
OCAF User's Guide.
.

`#include <TDocStd.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | IDList (TDF_IDList &anIDList)
| Appends to <anidlist> the list of the attributes IDs of this package. CAUTION: <anidlist> is NOT cleared before use. .

## Member Function Documentation

static Standard_EXPORT void TDocStd::IDList | ( | TDF_IDList & | anIDList | ) | `[static]`

void TDocStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDocStd::operator new | ( | size_t | size | ) | `[inline]`

void* TDocStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TDocStd.hxx